{
  pkgs,
  lib,
  ...
}: {
  home.packages = with pkgs; [
    git-lfs
    lazygit
  ];

  home.shellAliases = {
    gs = "git status";
    ga = "git add";
    lg = "lazygit";
  };

  # Use pkgs.gitAndTools.gitFull in order to get libsecret support
  programs.git = {
    enable = true;
    userEmail = "michaelhthomas@outlook.com";
    userName = "Michael Thomas";
    extraConfig = {
      credential.helper = lib.mkDefault "store";
      pull.rebase = "true";
      init.defaultBranch = "main";
    };
  };
}
